*{
    padding: 0;
    margin: 0;
    text-decoration: none;
    list-style: none;
    box-sizing: border-box;
}
.ocultar{
    display: none;
}
.categorias{
    display: none;
}
/*----------------  CUERPO DE LA PAGINA ---------------*/
.cuerpodelapagina{
    margin: 0;
    width: 100%;
    height: 2400PX;
    background:#e0e0e0;
}
/*---------------------- encabezado  ----------------------*/
.encabezado{
    width: 100%;
/*    height: 82px;*/
    background: rgb(98, 98, 98);
    position: relative;
}

.barramenu1{
    width: 100%;
    height: 42px;
    background: rgb(255, 238, 0);
    display: flex;
}
/*----------------- LUPA DE BUSQUEDA ---------------*/
.coninputbuscar{
    width: 40%;
    height: 35px;
    margin-top: 5px;
    margin-left: 300px;
    background: rgb(255, 255, 255);
    border-radius: 10px;
}

.inputbuscar{
    width: 100%;
    height: 35px;
    font-size: 25px;
    margin: auto 0px;
    float: left;
    text-align: left;
    border-radius: 10px;
    border: 1px solid rgb(179, 179, 179);
}

.conbuscarconlupa0{
    width: 35px;
    height: 35px;
    margin-top: 3px;
    margin-left: 7px;
    background: #aad60b;
    position: relative;
}
.botonlupa{
    width: 35px;
    height: 33px;
    top:6px;
    left: -38px;
    background: rgb(255, 255, 255);
    position: relative;
    border: none;
    border-radius: 5px;
}
.buscarconlupa{
    width: 100%;
}
/*-------------------------------- menu ------------------------*/
nav{
    width: 100%;
    height: 41px;
    background: rgb(255, 238, 0);
    position: relative;
}
.enlaceicono{
    position: absolute;
    padding: 2px 50px;
}
.logo{
    height: 40px;
}
.usuario{
    display:inline-block;
    margin-left: 50px;
    margin-top: 5px;
    font-size: 18px;
    background: #ffffff;
    padding: 3px;
    border-radius: 10px;
}
nav ul{
    float: right;
    margin-right: 5px;
}
nav ul li{
    position: relative;
    display: inline-block;
    line-height: 35px;
    margin: 0px 5px;
}
nav ul li a{
    color: rgb(0, 0, 0);
    font-size: 16px;
    padding: 7px 13px;
    border-radius: 3px;
}
li a:hover{
    background: floralwhite;
    transition: 0.5s;
    color: rgb(0, 0, 0);
}

.checknavlabel{
    font-size: 30px;
    color: aliceblue;
    float: right;
    line-height: 80px;
    margin-right: 40px;
    cursor: pointer;
    display: none;
}
.checknav{
    display: none;
}
/*----------------- para tables-------------------*/
@media (max-width:952px) {
    enlaceicono{
        padding-left: 20px;
    }
    nav ul li a{
        font-size: 16px;
    }
}
/*----------------- para celulares-------------------*/
@media (max-width:858px) {
    .checknavlabel{
        display: block;
    }
    ul{
        position: fixed;
        width: 20%;
        height: 50hv;
        background: rgb(0, 0, 0);
        top: 80px;
        left: -100%;
        text-align: center;
        transition: all .5s;
    }
    nav ul li{
        display:block;
        margin: 10px 0;
        line-height: 30px;
    }
    nav ul li a{
        font-size: 14px;
    }
    .checknav:checked ~ ul{
        left: 0;
    }
}
/*----------------------------footer-------------------------*/
footer{
    width: 100%;
    padding: 10px 0px;
    margin-top: 100px;
    background: rgb(255, 238, 0);
}
.logofooter{
    width:100%;
}
.contfooter{
    width: 80%;
    /*display: flex;
    flex-wrap: wrap;
    justify-content: space-between;*/
    max-width: 1200px;
    margin: auto;
}
.boxfooter{
    width: 70%;
   /* height: 200px;*/
    /*display: flex;*/
    /*flex-direction: column;*/
    margin: auto;
    justify-content: center;
    text-align: center;
    padding: 5px;
}
.terminos{
    width: 100%;
    font-weight: 500;
    font-size: 20px;
    text-align: justify;
}
.boxfooter h2{
    margin-bottom: 30px;
    font-weight: 700;
}
.boxfooter a{
    margin-top: 10px;
    font-weight: 600;
}
.boxfooter a:hover{
    opacity: 0.8;
}
.boxcopyright{
    max-width: 1200px;
    margin: auto;
    text-align: center;
    padding: 40px 0px;
}
.boxcopyright p{
    margin-top: 5px;
}
.boxcopyright hr{
    height: 1px;
}
/*-----------------------------contenddor reseña----------------------*/
.contreseña{
    width: 100%;
    font-size: 40px;
    background: rgb(255, 255, 255);
    max-width: 1200px;
    margin: auto;
    text-align: center;
    padding: 20px 0px;
    color: red;
}
.logosprogramas{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    max-width: 1200px;
    margin: auto;
}
.logosprogramas .logop{
    height: 130px;
}
.porquehtml{
    width: 100%;
    font-size: 20px;
    background: rgb(255, 255, 255);
    max-width: 1200px;
    margin: auto;
    padding: 10px 0px;
    text-align: justify;
}
.porquehtml .preguntahtml{
    font-size: 25px;
    color: rgb(25, 0, 255);
}
.porquecss{
    width: 100%;
    font-size: 20px;
    background: rgb(255, 255, 255);
    max-width: 1200px;
    margin: auto;
    padding: 10px 0px;
    text-align: justify;
}
.porquecss .preguntacss{
    font-size: 25px;
    color: rgb(25, 0, 255);
}
.porquejs{
    width: 100%;
    font-size: 20px;
    background: rgb(255, 255, 255);
    max-width: 1200px;
    margin: auto;
    padding: 10px 0px;
    text-align: justify;
}
.porquejs .preguntajs{
    font-size: 25px;
    color: rgb(25, 0, 255);
}
.porquephp{
    width: 100%;
    font-size: 20px;
    background: rgb(255, 255, 255);
    max-width: 1200px;
    margin: auto;
    padding: 10px 0px;
    text-align: justify;
}
.porquephp .preguntaphp{
    font-size: 25px;
    color: rgb(25, 0, 255);
}
.porquemysql{
    width: 100%;
    font-size: 20px;
    background: rgb(255, 255, 255);
    max-width: 1200px;
    margin: auto;
    padding: 10px 0px;
    text-align: justify;
}
.porquemysql .preguntamysql{
    font-size: 25px;
    color: rgb(25, 0, 255);
}
.somosprogramadores{
    display: flex;
    width: 100%;
    background: rgb(255, 238, 0);
    max-width: 1200px;
    margin: 30px auto;
    padding: 10px 20px;
    text-align: justify;
    font-size: 20px;
}
.advertencia{
    height: 70px;
    margin-right: 20px;
}
.textoadvertencia{
    display:inline-block;
    margin-top: 20px;
}

/*-------- MENSAJE CUANDO NO HAY REGISTROS QUE CONINCIDAN CON LA BUSQUEDA ---------- */
.nohayregistros{
    width: 800px;
    height: 310px;
    background: #ffffff;
    margin: auto;
    text-align: center;
    border-radius: 10PX;
    display: none;
}
.nohayresgistrosimgconte{
    width: 700px;
    height: 250px;
    background: #ffffff;
    margin: auto;
    display: flex;
}
.noregcontenidoimg{
    width: 200px;
    height: 200px;
    background: #c4bcbc;
    margin-right: 20px;
    margin: auto;
    float: left;
}
.noregcontenido{
    width: 500px;
    height: 200px;
    background: #ffffff;
    text-align: center;
    margin: auto;
}
.noregcontenido p{
    font-size: 25px;
}
.nohayresgistros h2{
    font-size: 25px;
}
/*-------- PAGINACION ---------- */
.paginacionmenu{
  /*  width: 90%;*/
    width: 100%;
    height: 30px;
    background: #e0e0e0;
/*    background: #c45656;*/
/*    margin-left: auto;
    margin-right: auto;*/
    margin-top: 15px;
    margin-bottom: 30px;
 /*   display: flex;*/
 /*position: relative;*/
    display: none;
}
.paginacion{
    width: 220px;
    display: flex;
    text-align: center;
    margin: auto;
    list-style: none;
}
.paginacion .antsig{
    text-decoration: none;
    width: 95px;
    height: 30px;
    display: inline-block;
    background: #5bbbfc;
    color: #ffffff;
    border-radius: 4px;
    font-size: 20px;
    font: bold;
}
.numpaginas{
    text-decoration: none;
}

.panterior :hover{
    background: #2ca6f8;
}
.psiguiente :hover{
    background: #2ca6f8;
}
.numpaginas{
    font-size: 25px;
    color: #002fff;
    font: bold;
    margin: 20px;
    text-align: center;
}

/*--------------------segundo slider -------------------*/
.contenedor0{
    width: 100%;
    height: 250px;
    /*position: relative;*/
 /*   display: flex;*/
  /*  flex-wrap: wrap;*/
}
.slider{
    width: 100%;
 /**  height: 320px;*/
    /*width: 100%;*/
 /*   height: 105px;*/
    background: rgb(255, 255, 255);
 /*   margin: 5px 25px;*/
  /*  padding: 2px;*/
    justify-content:center;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    display: flex;
    position:relative;
}
.mimg{
    width: 99%;
    height: 320px;
	/*height: 105px;*/
	object-fit: contain;
    margin: auto;
}
.mimg0{
    width: 100%;
    vertical-align: top;
}
#bolitas{
    display: flex;
    justify-content: center;
    background-color: #1263ad;
}
.bolita{
    width: 13px;
    height: 13px;
    border-radius: 50%;
    background-color: white;
    margin: 8px 10px;
    cursor: pointer;
}

/*------------------------------- DISEÑO DE LA TARJETA ---------------- */
.contenedorul{
    width: 100%;
  /*  height: auto;*/
    /*height: 350px;*/
    background: #e0e0e0;
  /*  display: flex;*/
    margin: auto;
}
.contenedortarjetas{
    width: 90%;
    height: auto;
 /*   height: 350px;*/
    background: #e0e0e0;
    margin: auto;
}
.contenedortarjetas2{
    width: 90%;
    height: 350px;
    background: #e0e0e0;
    display: block;
    margin: auto;
}
.promociones p{ 
    font-size: 30px;
}
.promociones2 p{ 
    font-size: 30px;
}
.descuentos p{ 
    font-size: 30px;
}

.contenidotarjeta{
    width: 100%;
    height: 125px;
    background: #ffffff;

}

.lista{
    width: 100%;
    height: 350px;
    background: #e0e0e0;
    display: block;
/*    display: flex;
    flex-wrap: wrap;*/
    margin: auto;
}

.tarjeta{
    width: 250px;
    height: 325px;
    margin: 5px;
    border-radius: 10px;
    overflow: hidden;
    background: #fcfcfc;
    box-shadow: 0px 1px 10px rgba(0,0,0,0.2);
    cursor: pointer;
    transition: all 400ms ease;
    display:block;
    float: left;
    position: relative;
}

.btncomprar{
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    width: 100%;
    height: 310px;
    opacity: 0;
    margin-bottom: 5px;
    cursor: pointer;
}
.preguntavendedor{
    color: #0099ff;
    margin-left: 10px;
    display: none;
}
.preguntavendedor:hover{
    color: #ff0000;
    cursor: pointer;
}

.contenedorinicialimagen{
    width: 250px;
    width: 160px;
    margin: auto;
    background: #ffffff;
}
.contenedorimagen{
/*
    min-width: 64px;
    max-width: 64px;
    height: 64px;
    margin-right: 16px;
    padding: 8px;
*/
    width: 180px;
    height: 180px;
    border-radius: 4px;
    margin-right: 20px;
    display: -webkit-flex;
    display: flex;
    -webkit-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-align-items: flex-start;
    align-items: flex-start;
    -webkit-justify-content: space-between;
    justify-content: space-between;
    overflow: hidden;
    padding: 8px;
    position: relative;
    /*

    width: 250px;
    width: 140px;*/
  /*  display: flex;*/
/*    width: 150px;*/
 /*   height: 140px;*/
 /*    width: 180px;
    height: 140px;*/
/*    margin: auto;*/
  /*  object-fit:contain;*/
/*    overflow: hidden;
    justify-content: center;*/
}
/*
.tarjetaimagen{
    width: 100%;
}
.contenedorimagen2{
    width: 60%;
}
*/
.tarjetaimagen{
    width: 100%;
    height: 100%;
    padding: 0;
}

.contenedorimagen img{
    /*
    width: 100%;
    height: 100%;
    padding: 0;
    */
    object-fit:contain;
}


.tarjeta:hover{
    box-shadow: 5px 5px 20px rgba(0,0,0,0.4);
    transform:translateY(-2%);
}

.contenidotarjeta{
    height: 135px;
}

.tarjeta .contenidotarjeta{
    padding-left: 10px;
    padding-right: 10px;
    /*line-height: 180%;*/
    /*text-align:center;*/
}


.tarjeta .contenidotarjeta a{
    text-decoration: none;
    display: inline-box;
    padding: 2px;
    margin-top: 10px;
    color: #0099ff;
    border:1px solid;
    border-radius: 4px;
    transition: all 400ms ease;
    display: none;
}

.tarjeta .contenidotarjeta a:hover{
    background: #0099ff;
    color: #ffffff;
}

.contenedortitulo, .direccion, .telefonos, .municipio{
    width: 100%;
  /*  height: 60px;*/
    background: #ffffff;
    text-align: center;
    margin-top: 1px;
    margin-bottom: 1px;
}
.narticulo{
    color:#000000;
    font-size: 20px;
    font: bold;
}
.textodireccion{
    color:#000000;
    font-size: 14px;
}
.textotelefonos{
    color:#000000;
    font-size: 14px;
}
.textomunicipio{
    color:#000000;
    font-size: 10px;
}
.titulo0{
    color:#000000;
    font-size: 17px;
}
/*------------------------ estrellas ----------------------*/
.estrellas{
    width: 100%;
    text-align: center;
}
